Bug 255360 - print/libraqm: upgrade to v0.7.1
Summary: print/libraqm: upgrade to v0.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koop Mast
URL: https://github.com/HOST-Oman/libraqm/...
Keywords:
Depends on:
Blocks: 255361
  Show dependency treegraph
 
Reported: 2021-04-24 10:20 UTC by Thierry Thomas
Modified: 2021-05-12 19:56 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (kwm)


Attachments
Upgrade libraqm to v0.7.1 (10.95 KB, patch)
2021-04-24 10:20 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2021-04-24 10:20:48 UTC
Created attachment 224397 [details]
Upgrade libraqm to v0.7.1

Release notes at <https://github.com/HOST-Oman/libraqm/releases/tag/v0.7.1>.
    
Since I´m there, add a test target (all tests pass).
Comment 1 Thierry Thomas freebsd_committer 2021-05-11 16:58:08 UTC
Committed after maintainer´s time-out.
Comment 2 commit-hook freebsd_committer 2021-05-11 16:58:57 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0ac1997e2f6fdda0e8442a2deef01dadf0089da1

commit 0ac1997e2f6fdda0e8442a2deef01dadf0089da1
Author:     Thierry Thomas <thierry@FreeBSD.org>
AuthorDate: 2021-04-24 09:55:49 +0000
Commit:     Thierry Thomas <thierry@FreeBSD.org>
CommitDate: 2021-05-11 16:57:41 +0000

    print/libraqm: upgrade to v0.7.1

    Release notes at <https://github.com/HOST-Oman/libraqm/releases/tag/v0.7.1>.

    Since I´m there, add a test target (all tests pass).

    PR:             255360
    Approved by:    maintainer´s time-out

 print/libraqm/Makefile                      |  23 +++-
 print/libraqm/distinfo                      |   6 +-
 print/libraqm/files/patch-src_raqm.c (gone) | 194 ----------------------------
 print/libraqm/pkg-plist                     |  37 +++---
 4 files changed, 43 insertions(+), 217 deletions(-)
Comment 3 Christoph Kliemann 2021-05-12 12:29:20 UTC
Fails to build with OPTIONS_UNSET+=DOCS.
I don't think the gtk-doc dependency is optional.

Log:
[...]
=======================<phase: configure      >============================
===>  Configuring for libraqm-0.7.1
/usr/bin/sed -i.bak -e 's|python3|/usr/local/bin/python3.8|'	 /wrkdirs/usr/ports/print/libraqm/work/libraqm-0.7.1/tests/Makefile.am
cd /wrkdirs/usr/ports/print/libraqm/work/libraqm-0.7.1 && ./autogen.sh
checking for gtkdocize... *** No gtkdocize (gtk-doc) found, please install it ***
checking for autoreconf... /usr/local/bin/autoreconf
running gtkdocize --copy
./autogen.sh: gtkdocize: not found
*** Error code 1

Stop.
make: stopped in /usr/ports/print/libraqm
[...]
Comment 4 Thierry Thomas freebsd_committer 2021-05-12 16:36:34 UTC
(In reply to Christoph Kliemann from comment #3)

You are right! I just changed the dependencies.

I guess that it would be possible to patch the autotools files do remove that, but I let that to the maintainer.
Comment 5 commit-hook freebsd_committer 2021-05-12 16:37:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=dfe43fda12c875be6dc302e0ae7cbafc6be22c20

commit dfe43fda12c875be6dc302e0ae7cbafc6be22c20
Author:     Thierry Thomas <thierry@FreeBSD.org>
AuthorDate: 2021-05-12 16:31:27 +0000
Commit:     Thierry Thomas <thierry@FreeBSD.org>
CommitDate: 2021-05-12 16:36:16 +0000

    print/libraqm: fix build when DOCS are disabled

    gtk-doc is required, even if we do not build the documentation.

    PR:             255360
    Reported by:    Christoph Kliemann

 print/libraqm/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 6 Christoph Kliemann 2021-05-12 19:56:14 UTC
Builds successfully, thank you for the quick fix.